<template>
  <div class="view">
    <div class="content">
      <button @click="saveSpecial" class="bg-blue-300 hover:bg-blue-dark text-white w-full font-bold mt-2 mb-4 py-2 px-4 rounded focus:outline-none focus:shadow-outline">Сохранить</button>
      <ul>
        <special-task v-for="task in special" :task="task"></special-task>
      </ul>
    </div>
  </div>
</template>

<script>
import SpecialTask from './SpecialTask';
export default {
  name: 'special',
  components: { SpecialTask },
  created() {
    this.special = this.$store.state.special.map(item => ({ ...item }));
  },
  data() {
    return {
      special: [],
    };
  },
  methods: {
    saveSpecial() {
      this.$store.dispatch('saveSpecial', this.special.map(item => ({ ...item })));
    },
  },
};
</script>


